# StyledText class

Configuration of the text field appearance.

## Constructors

StyledText({bool visible = true, String text = "", ScanbotColor? color, bool useShadow = false})
StyledText.fromJson(Map<String, dynamic> json)
  factory

## Properties

color ↔ ScanbotColor
  The text color. Default is "#FFFFFF"
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
text ↔ String
  The value of the text field. Default is ""
  getter/setter pair
useShadow ↔ bool
  Determines whether to enable drop shadows for the text. Default is false
  getter/setter pair
visible ↔ bool
  Determines whether the text field is visible or not. Default is true
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited